Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RT_ORBInitializer.cpp File Reference

`#include "RT_ORBInitializer.h"`
`#include "tao/RTCORBA/RTCORBAC.h"`
`#include "RT_Policy_i.h"`
`#include "RT_Protocols_Hooks.h"`
`#include "Priority_Mapping_Manager.h"`
`#include "Network_Priority_Mapping_Manager.h"`
`#include "RT_ORB_Loader.h"`
`#include "RT_Stub_Factory.h"`
`#include "RT_Endpoint_Selector_Factory.h"`
`#include "Continuous_Priority_Mapping.h"`
`#include "Linear_Priority_Mapping.h"`
`#include "Direct_Priority_Mapping.h"`
`#include "Linear_Network_Priority_Mapping.h"`
`#include "RT_ORB.h"`
`#include "RT_Current.h"`
`#include "RT_Thread_Lane_Resources_Manager.h"`
`#include "tao/Exception.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/ORBInitInfo.h"`
`#include "tao/debug.h"`
`#include "ace/Service_Repository.h"`
`#include "ace/Svc_Conf.h"`
`#include "ace/Sched_Params.h"`

Include dependency graph for RT_ORBInitializer.cpp:

## Defines
#define | TAO_RTCORBA_SAFE_INCLUDE
## Functions
const char * | get_rcsid_RTCORBA_RT_ORBInitializer (const char *)
## Variables
const char * | rcsid_RTCORBA_RT_ORBInitializer = get_rcsid_RTCORBA_RT_ORBInitializer ( rcsid_RTCORBA_RT_ORBInitializer )
const char * | rt_poa_factory_name = "TAO_RT_POA"
const char * | rt_poa_factory_directive = "dynamic TAO_RT_POA Service_Object * TAO_RTPortableServer:_make_TAO_RT_Object_Adapter_Factory()"

## Define Documentation

#define TAO_RTCORBA_SAFE_INCLUDE

## Function Documentation

const char* get_rcsid_RTCORBA_RT_ORBInitializer | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_RTCORBA_RT_ORBInitializer = get_rcsid_RTCORBA_RT_ORBInitializer ( rcsid_RTCORBA_RT_ORBInitializer )`[static]`

const char* rt_poa_factory_directive = "dynamic TAO_RT_POA Service_Object * TAO_RTPortableServer:_make_TAO_RT_Object_Adapter_Factory()"`[static]`

const char* rt_poa_factory_name = "TAO_RT_POA"`[static]`